import request from '@/utils/gw_ajax_request.js'
const baseurl = '/pdcApi'
//获取稽察左侧树
export function getTree(objType,level){
    return request({
        url:  '/dc/organization/base/getAllNodeAndObj',
        method: 'GET',
        params: {
            objType:objType,
            level:level
        }
    })
}
//添加问题时选择问题的列表
export function getSelectProblemList(keyword,pblmType){
    return request({
        url:  '/tac/obj/pblmstb/page',
        method: 'POST',
        data: {
            class1Name:keyword,
            pblmType:pblmType,
            pageSize: 2000
        }
    })
}
// 问题分类选择项列表
export function getProblemDxListApi(relCode,type){
    return request({
        url:  '/tac/pblm/qlttv/list/list',
        method: 'POST',
        data: {
            relCode:relCode,
            type:type
        }
    })
}
//问题清单列表
export function getProblemListApi(data){
    return request({
        url:  '/tac/pblm/info/page',
        method: 'POST',
        data: data
    })
}
//主体单位性质列表
export function getProblemNatureApi(id){
    return request({
        url: `/tac/obj/pblmstb/${id}`,
        method: 'GET'
    })
}

//添加问题
export function submitProblemApi(data){
    return request({
        url: `/tac/pblm/info`,
        method: 'POST',
        data: data
    })
}
export function submitProblemApi1(data){
    return request({
        url: `/tac/province/pblm/info`,
        method: 'POST',
        data: data
    })
}
// 详情/修改/问题
export function showDetailsXq(id) {
    return request({
        url: `/tac/pblm/info/${id}`,
        method: 'GET',
    })
}
// 详情/修改/问题
export function showDetailsXq1(id) {
    return request({
        url: `/tac/province/pblm/info/${id}`,
        method: 'GET',
    })
}
// 稽查详情问题
export function showDetailsXq2(id) {
  return request({
    url: `/tac/pblm/info/${id}`,
    method: 'GET',
  })
}
// 删除问题
export function deleteProblemApi(id) {
    return request({
        url: `/tac/pblm/info/del/${id}`,
        method: 'GET',
    })
}
// 获取基本信息单表
export function getBaseInfoApi(type,rgstrId) {
    return request({
        url: `/tac/pawp/list/getBy/${type}/${rgstrId}`,
        method: 'GET',
    })
}
// 提交基本信息
export function submitBaseInfoApi(data) {
    return request({
        url: `/tac/pawp/list`,
        method: 'POST',
        data: data
    })
}
// 获取资料目录列表
export function getFileListApi(data) {
    return request({
        url: `/tac/pawp/drm/page`,
        method: 'POST',
        data: data
    })
}
// 添加资料
export function addFileApi(data) {
    return request({
        url: `/tac/pawp/drm`,
        method: 'POST',
        data: data
    })
}
// 查看资料详情
export function showDetailsApi(id) {
    return request({
        url: `/tac/pawp/drm/${id}`,
        method: 'GET'
    })
}
// 删除资料
export function deleteFileApi(id) {
    return request({
        url: `/tac/pawp/drm/del/${id}`,
        method: 'GET',
    })
}
// 获取单位性质列表
export function getNatureListApi(data) {
    return request({
        url: `/tac/obj/subject/list`,
        method: 'POST',
        data: data
    })
}
// 获取单位名称列表
export function getUnitNameListApi(data) {
    return request({
        url: `/tac/pawp/unit/sctn/list`,
        method: 'POST',
        data: data
    })
}
// 标准库添加新问题
export function submitNewProblemApi(data) {
    return request({
        url: `/tac/obj/pblmstb`,
        method: 'POST',
        data: data
    })
}
// 标准库更新新问题
export function submitUpdateProblemApi(data) {
  return request({
    url: `/tac/obj/pblmstb/update`,
    method: 'POST',
    data: data
  })
}
// 标准库添加单位性质
export function submitNewNatureApi(data) {
    return request({
        url: `/tac/obj/subject`,
        method: 'POST',
        data: data
    })
}
// 获取单位性质类型
export function getSubjectListTypeApi() {
    return request({
        url: `/tac/obj/subject/listType`,
        method: 'GET'
    })
}
// 必查清单回显
export function submitShowMustProblemApi(id) {
  return request({
      url: `/tac/obj/pblmstb/hb/${id}`,
      method: 'GET',
  })
}
// 必查清单编辑
export function submitUpdateMustProblemApi(data) {
    return request({
        url: `/tac/obj/pblmstb/hb/update`,
        method: 'POST',
        data: data
    })
}
// 必查清单添加
export function submitInsetMustProblemApi(data) {
    return request({
        url: `/tac/obj/pblmstb/hb/add`,
        method: 'POST',
        data: data
    })
}
// 必查清单编辑
export function submitUpdateProblemApi1(data) {
    return request({
        // url: `/tac/obj/pblmstb/hb/update`,
        url: `/tac/obj/pblm/hb/update`,
        method: 'POST',
        data: data
    })
}

//获取菜单控制权限
export function getPerType(inspGroupId,persId){
    return request({
        url:  '/bis/insp/getPerTypeNew',
        method: 'GET',
        params: {
            inspGroupId:inspGroupId,
            persId:persId
        }
    })
}
// 专家提交专业底稿
export function submitProfessionApi(regstrId,type) {
    return request({
        url: `/tac/pawp/rgstr/zhuli/submit/${regstrId}/${type}`,
        method: 'GET',
    })
}
// 专家提交专业底稿2
export function submitProfessionTwoApi(regstrId,type) {
    return request({
        url: `/tac/province/pblm/info/plan/${regstrId}/${type}`,
        method: 'GET',
    })
}
// 助理退回专业底稿
export function backProfessionApi(regstrId,type) {
    return request({
        url: `/tac/pawp/rgstr/zhuli/rollback/${regstrId}/${type}`,
        method: 'GET',
    })
}
// 助理通过专业底稿
export function passProfessionApi(regstrId,type) {
    return request({
        url: `/tac/pawp/rgstr/excute/${regstrId}/${type}`,
        method: 'GET',
    })
}
// 稽察业务-稽察填报-必查清单-插入
export function TacObiPblmHbInsert(data) {
    return request({
        url: `/tac/obj/pblm/hb/insert`,
        method: 'POST',
        data: data
    })
}
// 稽察业务-稽察填报-必查清单-查询
export function TacObiPblmHbPage(data) {
  return request({
      // url: `/bis/insp/TacObiPblmHb/page`,
      url: `/tac/obj/pblm/hb/page`,
      method: 'POST',
      data: data
  })
}
// 稽察业务-稽察填报-必查清单-回显
export function TacObiPblmHbShow(id) {
  return request({
      url: `/tac/obj/pblm/hb/${id}`,
      method: 'GET',
  })
}
// 稽察业务-稽察填报-必查清单-编辑
export function TacObiPblmHbUpdate(data) {
  return request({
      url: `/tac/obj/pblm/hb/update`,
      method: 'POST',
      data: data
  })
}
